Đến nội dung


Hình ảnh

Sửa nhanh kích thước đường thẳng thành chữ Ø mà không phải viết %%C


  • Please log in to reply
29 replies to this topic

#1 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 13 April 2009 - 10:47 AM

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp
  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2009 - 11:01 AM

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:
Pre fix : giá trị muốn thêm phía trước nội dung dim.
Suf fix : giá trị muốn sau nội dung dim.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 13 April 2009 - 11:02 AM

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Bạn dùng thử Lisp: Add %%c to Dim này xem sao?Lệnh tắt là:rond
:cheers:
  • 1

Email : anhtu2101@gmail.com



 


#4 Lương Xuân Hậu

Lương Xuân Hậu

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 299 Bài viết
Điểm đánh giá: 156 (tàm tạm)

Đã gửi 13 April 2009 - 11:16 AM

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Trong trường hợp của bạn dùng cách của bác Duy là hay nhất
  • 1
Hạnh phúc gì bằng những đêm đông
Ta bôi DEP rồi đắp chăn đi ngủ
Đời SV nghèo cơm ko đủ
Nên nhiều khi ngủ để quên đời

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 April 2009 - 11:30 AM

Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:
Pre fix : giá trị muốn thêm phía trước nội dung dim.
Suf fix : giá trị muốn sau nội dung dim.

Trường hợp của bác Duy sửa thì nó đi luôn cả Dimstyle -> đôi lúc không nên vì đôi khi ta chỉ muốn làm cho một số kích thước
Trong trường hợp bạn chỉ muốn một số kích thước cần thêm thì làm theo cách sau :

Đánh lệnh Ded (Dimedit)
Command: ded DIMEDIT
Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->
Bạn gõ chữ trước cặp móc nhọn <> là Pre fix : giá trị muốn thêm phía trước nội dung dim
Bạn gõ chữ sau cặp móc nhọn <> là Suf fix : giá trị muốn thêm phía sau nội dung dim

Select objects: Specify opposite corner: 1 found

Select objects: Specify opposite corner: 1 found, 2 total :

Select objects:

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.
Chúc thành công :cheers:
  • 1

#6 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 13 April 2009 - 11:59 AM

Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:
Pre fix : giá trị muốn thêm phía trước nội dung dim.
Suf fix : giá trị muốn sau nội dung dim.


KT ghi theo đường thằng của em là 12 em muốn sửa thành Ø12 . Làm theo cách của anh nó ra kt như sau: 12 [ Ø300.80] . E muốn được Ø12 phải làm thế nào anh giúp em nhé!
  • 0

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 April 2009 - 12:25 PM

KT ghi theo đường thằng của em là 12 em muốn sửa thành Ø12 . Làm theo cách của anh nó ra kt như sau: 12 [ Ø300.80] . E muốn được Ø12 phải làm thế nào anh giúp em nhé!

Bạn hãy đọc kĩ lại bài viết của mình :
Đánh lệnh Ded (Dimedit)
Command: ded DIMEDIT
Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->
Bạn gõ chữ trước cặp móc nhọn <> là %%c .

Select objects: Specify opposite corner: 1 found

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.

Select objects: Specify opposite corner: 1 found, 2 total :

Select objects:

Chúc thành công
  • 1

#8 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 13 April 2009 - 12:33 PM

Bạn hãy đọc kĩ lại bài viết của mình :
Đánh lệnh Ded (Dimedit)
Command: ded DIMEDIT
Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->
Bạn gõ chữ trước cặp móc nhọn <> là %%c .

Select objects: Specify opposite corner: 1 found

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.

Select objects: Specify opposite corner: 1 found, 2 total :

Select objects:

Chúc thành công


Em làm được theo cách của anh rồi . Nhưng em muốn làm như cách của anh Duy vì tạo một kiểu dim như anh Duy thì chỉ cần ghi kích thước là được, ko cần phải sửa , ko cần phải quét vì bản của em có nhiều cái phải sửa . Anh xem giúp em nhé!
  • 0

#9 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 13 April 2009 - 12:50 PM

Bạn dùng thử Lisp: Add %%c to Dim này xem sao?Lệnh tắt là:rond
:cheers:

Em thấy nó đòi password, ko mở dc. Anh giúp em nhé!
  • 0

#10 dongchi420

dongchi420

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 13 April 2009 - 01:06 PM

pass: www.cadviet.com
  • 1

#11 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 April 2009 - 01:24 PM

Em thấy nó đòi password, ko mở dc. Anh giúp em nhé!

password của nó là : www.cadviet.com
Tuy nhiên cách thức hoạt động của nó giống như lệnh Ded. Lệnh Ded có thể thêm tiền tố lẫn hậu tố.
Về cách của bạn ghi kích thưóc 12 [ Ø300.80] thì Ø300.80 là do trong nhãn Altnate Units -> Multiplier alt units bạn để số khác 1.
Hãy nhập giá trị bằng 1 trong Multiplier alt units -> bạn sẽ có kết quả là 12 [ Ø12].
Tuy nhiên, đây không phải là kết quả bạn mong muốn. Cái mong muốn của bạn là Ø12 thôi phải không?
Rất tiếc, CAD không thể làm được chuyện đó được bạn ạ.

Cách nhanh nhất là bạn sử dụng lệnh Ded(dimedit).
Bạn có thể chọn trước DimStyle bằng quickselect hoặc Filter rồi dùng Ded(Dimedit) để điền tiền tố

Hoặc nhanh hơn là khi vừa ghi kích thước xong, sẽ tự động nhập luôn giá trị Ø trước kích thước. Đây là ý của bạn phải không?
Vậy thì bạn sử dụng đoạn Code này. Khi yêu cầu nhập điểm đầu, điểm cuối và đường chân kích thước (giống dimlinear) thì Lisp tự động điền luôn tiền tố Ø trước kích thước
(defun c:gfi()
(setq p1 (getpoint "\n Diem dau kich thuoc :"))
(setq p2 (getpoint p1 "\n Diem cuoi kich thuoc :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c<>" "L" "")
(Princ)
)
Hẳn bạn đã biết sử dụng Code
Chúc thành công :cheers:
  • 1

#12 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2009 - 01:49 PM

Em làm được theo cách của anh rồi . Nhưng em muốn làm như cách của anh Duy vì tạo một kiểu dim như anh Duy thì chỉ cần ghi kích thước là được, ko cần phải sửa , ko cần phải quét vì bản của em có nhiều cái phải sửa . Anh xem giúp em nhé!

Xin lổi bạn mình nhầm. Bạn chỉnh trong mục Primảy unít ấy cũng là
Pre fix : giá trị muốn thêm phía trước nội dung dim.
Suf fix : giá trị muốn sau nội dung dim.
(do mình dùng cad14 nên không quen => viết nhầm)
  • 2

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#13 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 15 April 2009 - 10:37 AM

Hoặc nhanh hơn là khi vừa ghi kích thước xong, sẽ tự động nhập luôn giá trị Ø trước kích thước. Đây là ý của bạn phải không?
Vậy thì bạn sử dụng đoạn Code này. Khi yêu cầu nhập điểm đầu, điểm cuối và đường chân kích thước (giống dimlinear) thì Lisp tự động điền luôn tiền tố Ø trước kích thước

(defun c:gfi()
(setq p1 (getpoint "\n Diem dau kich thuoc :"))
(setq p2 (getpoint p1 "\n Diem cuoi kich thuoc :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c<>" "L" "")
(Princ)
)
Hẳn bạn đã biết sử dụng Code
Chúc thành công :cheers:


Em chưa biết sử dụng Code, các anh nhớ chỉ dẫn cụ thể . Em cảm ơn các anh nhiều, các anh đã tận tình giúp em thật hạnh phúc vì em biết được diễn đàn của các anh!
  • 0

#14 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 15 April 2009 - 11:14 AM

Em chưa biết sử dụng Code, các anh nhớ chỉ dẫn cụ thể .

Em đọc bài hướng dẫn của anh Hoành ở đây:
Hướng dẫn sử dụng code

Em cảm ơn các anh nhiều, các anh đã tận tình giúp em thật hạnh phúc vì em biết được diễn đàn của các anh!

Có phải ý em là "Em đang rất hạnh phúc rồi, nay biết được CADViet thì hạnh phúc thêm nhiều nhiều" phải không? :cheers:
  • 2

#15 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 16 April 2009 - 10:04 AM

Em đọc bài hướng dẫn của anh Hoành ở đây:
Hướng dẫn sử dụng code

Có phải ý em là "Em đang rất hạnh phúc rồi, nay biết được CADViet thì hạnh phúc thêm nhiều nhiều" phải không? :cheers:


Em đang rất hạnh phúc đây anh ạ! Hạnh phúc vì chả quen biết gì nhau các anh cũng chỉ bảo tận tình. Cho em hỏi các anh có lisp vẽ nào cần cho người mới học vẽ cho em xin nhé! Em cảm ơn các anh nhiều nhiều.
  • 0

#16 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 16 April 2009 - 10:19 AM

...có lisp vẽ nào cần cho người mới học vẽ cho em xin nhé!

Có chứ em! Mời em xem tiếp bài của anh SSG nhé:
Hướng dẫn lập trình Lisp
Và thường xuyên đến thăm box AutoLisp
  • 1

#17 thuyvan89

thuyvan89

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 16 April 2009 - 10:50 AM

Có chứ em! Mời em xem tiếp bài của anh SSG nhé:
Hướng dẫn lập trình Lisp
Và thường xuyên đến thăm box AutoLisp


Em đang loay hoay với cái lisp của anh Tuệ anh a! Trời ơi ! Anh có phải là thầy giáo không mà nhồi nhét cho em nhiều thế ? Vẽ AutoCAD em còn đang chưa thạo ! Hu hu hu anh thương em thì bảo em từ từ thôi!
  • 1

#18 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 16 April 2009 - 10:55 AM

Em đang loay hoay với cái lisp của anh Tuệ anh a! Trời ơi ! Anh có phải là thầy giáo không mà nhồi nhét cho em nhiều thế ? Vẽ AutoCAD em còn đang chưa thạo ! Hu hu hu anh thương em thì bảo em từ từ thôi!

Thế bạn đã làm được theo cách của mình chưa?
Anh duongsatdn là thấy giỏi đấy bạn!
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#19 nguyendacbinh

nguyendacbinh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 16 April 2009 - 11:07 AM

Bạn dùng thử Lisp: Add %%c to Dim này xem sao?Lệnh tắt là:rond
:cheers:

mật khẩu của file nén là gì vậy anh yêu ơi! mong anh chỉ giùm cho!!!!
  • 0

#20 nguyendacbinh

nguyendacbinh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 16 April 2009 - 11:17 AM

Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:
Pre fix : giá trị muốn thêm phía trước nội dung dim.
Suf fix : giá trị muốn sau nội dung dim.

Ghi kích thước bình thường. Sau đó dùng lệch Edit (ed) rồi chỉnh lại bình thường thôi.
  • 1